Subject: Re: [PATCH] iommu/arm-smmu-v3: Stop queue allocation retry at PAGE_SIZE

From: Pranjal Shrivastava <[email-masked]>
Date: Fri, 8 May 2026 14:53:06 +0000

On Wed, Apr 22, 2026 at 05:13:08PM +0800, Leo Jiang wrote:
> Hi Will, Robin,
> 
> Thank you both for the detailed feedback.
> 
> Robin, you are absolutely correct. After a deeper look into the source code,
> I see that allocations smaller than a page are indeed possible in certain
> cases. My previous assumption about the DMA API's granularity was wrong,
> and I appreciate the correction.
> 
> However, as Will noted that the current logic deviates from the original
> intent, I have prepared a v2 to limit the queue allocation retry boundary
> to PAGE_SIZE.
> 
> In v2, I have:
>  - Updated my identity to Leo Jiang.
>  - Removed the code comments as suggested.
> 
> I will send the v2 as a follow-up shortly.

Hi Leo,

The general guidance is to send the v2 as a fresh email so that it
doesn't drop off the commmunity's radar.

Thanks,
Praan